Google は、黒人コミュニティに対する人種平等の促進に取り組んでいます。取り組みを見る

Android のセキュリティに関する公開情報 - 2020 年 8 月

2020 年 8 月 3 日公開 | 2020 年 8 月 10 日更新

Android のセキュリティに関する公開情報には、Android デバイスに影響を与えるセキュリティの脆弱性の詳細を掲載しています。セキュリティ パッチレベル 2020-08-05 以降は、下記のすべての問題に対処しています。デバイスのセキュリティ パッチレベルを確認するには、Android のバージョンを確認して更新する方法をご覧ください。

Android パートナーには、情報公開の 1 か月前までにすべての問題が通知されます。Android オープンソース プロジェクト(AOSP)のリポジトリに、下記の問題に対するソースコードのパッチをリリースしています。また、この公開情報では、これらのパッチへのリンクに加え、AOSP 以外のパッチへのリンクも掲載しています。

下記の問題のうち最も重大度の高いものは、フレームワークに大きなセキュリティの脆弱性があるため、リモートの攻撃者が特別に細工したファイルを使って非権限プロセス内で任意のコードを実行できるようになるおそれがあることです。重大度の評価は、攻撃対象のデバイスでその脆弱性が悪用された場合の影響に基づくもので、プラットフォームやサービスでのリスク軽減策が開発目的または不正な回避により無効となっていることを前提としています。

Android セキュリティ プラットフォームの保護や Google Play プロテクトについて詳しくは、Android と Google サービスでのリスク軽減策をご覧ください。こうした保護により、Android プラットフォームのセキュリティが改善されます。

Android と Google サービスでのリスク軽減策

ここでは、Android セキュリティ プラットフォームの保護と Google Play プロテクトのようなサービスの保護によるリスクの軽減について概説します。こうした機能は、Android でセキュリティの脆弱性が悪用される可能性を減らすものです。

  • Android プラットフォームの最新版での機能強化により、Android 上の多くの問題の悪用が困難になります。Google では、すべてのユーザーに対し、できる限り最新版の Android に更新することをおすすめしています。
  • Android セキュリティ チームは、Google Play プロテクトによって脆弱性の悪用を積極的に監視しており、有害な可能性があるアプリについてユーザーに警告しています。Google Play プロテクトは、Google モバイル サービスを搭載したデバイスでデフォルトで有効になっており、Google Play 以外からアプリをインストールするユーザーにとっては特に重要です。

セキュリティ パッチレベル 2020-08-01 の脆弱性の詳細

以下に、パッチレベル 2020-08-01 に該当するセキュリティ脆弱性の各項目の詳細を示します。脆弱性は、影響を受けるコンポーネントごとに分類しています。問題の説明に続いて、CVE ID、関連する参照先、脆弱性のタイプ重大度、更新対象の AOSP バージョン(該当する場合)を表にまとめています。問題の対処法として一般公開されている変更内容(AOSP の変更の一覧など)が参照可能な場合は、バグ ID にその情報へのリンクがあります。複数の変更が同じバグに関係する場合は、バグ ID の後に記載した番号に、追加の参照へのリンクがあります。Android 10 以降を搭載したデバイスは、セキュリティ アップデートと Google Play システム アップデートを受信することがあります。

フレームワーク

フレームワークの最も重大な脆弱性により、リモートの攻撃者が特別に細工したファイルを使用して、非特権プロセス内で任意のコードを実行するおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2020-0240
A-150706594 RCE 10
CVE-2020-0238
A-150946634 EoP 8.0、8.1、9、10
CVE-2020-0257
A-156741968 EoP 10
CVE-2020-0239
A-151095863 ID 9、10
CVE-2020-0249
A-154719656 ID 8.0、8.1、9、10
CVE-2020-0258
A-157598956 ID 10
CVE-2020-0247
A-156087409 DoS 8.0、8.1、10

メディア フレームワーク

システムの最も重大な脆弱性により、悪意のあるローカルアプリによって、追加権限を取得するためのユーザー操作の要件が回避されるおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2020-0241
A-151456667 EoP 8.0、8.1、9、10
CVE-2020-0242
A-151643722 EoP 8.0、8.1、9、10
CVE-2020-0243
A-151644303 EoP 8.0、8.1、9、10

システム

システムの最も重大な脆弱性により、悪意のあるローカルアプリによって、追加権限を取得するためのユーザー操作の要件が回避されるおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2020-0108
A-140108616 [2] [3] [4] EoP 8.1、9、10
CVE-2020-0256
A-152874864 EoP 8.0、8.1、9、10
CVE-2020-0248
A-154627439 ID 10
CVE-2020-0250
A-154934934 ID 10

Google Play システム アップデート

今月は Google Play システム アップデート(プロジェクト Mainline)で対処されたセキュリティ問題はありません。

セキュリティ パッチレベル 2020-08-05 の脆弱性の詳細

以下に、パッチレベル 2020-08-05 に該当するセキュリティ脆弱性の各項目の詳細を示します。脆弱性は、影響を受けるコンポーネントごとに分類しています。 下記の表に、問題の内容について説明し、CVE ID、関連する参照先、脆弱性のタイプ重大度、更新対象の AOSP バージョン(該当する場合)を示します。 問題の対処法として一般公開されている変更内容(AOSP の変更の一覧など)が参照可能な場合は、バグ ID の欄にその情報へのリンクがあります。 複数の変更が同じバグに関係する場合は、バグ ID の後に記載した番号に、追加の参照へのリンクがあります。

AMLogic コンポーネント

このコンポーネントの脆弱性により、ローカルの攻撃者が特別に細工したファイルを使用して、特権プロセス内で任意のコードを実行するおそれがあります。

CVE 参照 タイプ 重大度 コンポーネント
CVE-2020-0259
A-157941353 * EoP dm-verity

カーネル コンポーネント

このコンポーネントの最も重大な脆弱性により、ローカルの攻撃者によって、追加権限を取得するためのユーザー操作の要件が回避されるおそれがあります。

CVE 参照 タイプ 重大度 コンポーネント
CVE-2020-10751
A-155485360
アップストリーム カーネル
EoP SELinux
CVE-2020-12464
A-156071259
アップストリーム カーネル
EoP Linux USB サブシステム
CVE-2019-16746
A-145728612
アップストリーム カーネル
ID Linux ワイヤレス サブシステム

MediaTek コンポーネント

これらの問題の重大度の評価は、MediaTek から直接提供されたものです。

CVE 参照 タイプ 重大度 コンポーネント
CVE-2020-0252
A-152236803
ALPS05098839 *
EoP マルチメディア処理ドライバ
CVE-2020-0253
A-152647365
ALPS05098839 *
EoP マルチメディア処理ドライバ
CVE-2020-0260
A-152225183
ALPS05098839 *
EoP マルチメディア処理ドライバ
CVE-2020-0251
A-152647626
ALPS05098839 *
ID マルチメディア処理ドライバ
CVE-2020-0254
A-152647751
ALPS05098839 *
ID マルチメディア処理ドライバ

Qualcomm コンポーネント

Qualcomm コンポーネントに影響する脆弱性は次のとおりです。詳細については、該当する Qualcomm のセキュリティに関する公開情報やセキュリティ アラートをご覧ください。これらの問題の重大度の評価は、Qualcomm から直接提供されたものです。

CVE 参照 タイプ 重大度 コンポーネント
CVE-2020-11116
A-155654321
QC-CR#2575144
QC-CR#2616225
QC-CR#2616227
なし 重大 WLAN
CVE-2020-11115
A-155653491
QC-CR#2573329
QC-CR#2617004
QC-CR#2617005
なし WLAN
CVE-2020-11118
A-155654263
QC-CR#2626729
QC-CR#2635664
QC-CR#2635666
なし WLAN
CVE-2020-11120
A-155652795
QC-CR#2556613
なし WLAN

Qualcomm クローズドソース コンポーネント

Qualcomm クローズドソース コンポーネントに影響する脆弱性は次のとおりです。詳細については、該当する Qualcomm のセキュリティに関する公開情報やセキュリティ アラートをご覧ください。これらの問題の重大度の評価は、Qualcomm から直接提供されたものです。

CVE 参照 タイプ 重大度 コンポーネント
CVE-2019-10562
A-147102924 * なし 重大 クローズドソース コンポーネント
CVE-2019-10615
A-147102844 * なし 重大 クローズドソース コンポーネント
CVE-2019-13998
A-147102225 * なし 重大 クローズドソース コンポーネント
CVE-2020-3619
A-148815858 * なし 重大 クローズドソース コンポーネント
CVE-2020-3667
A-150696660 * なし 重大 クローズドソース コンポーネント
CVE-2018-5886
A-63165064 * なし クローズドソース コンポーネント
CVE-2018-13903
A-145546313 * なし クローズドソース コンポーネント
CVE-2019-13999
A-147104231 * なし クローズドソース コンポーネント
CVE-2019-14025
A-145546440 * なし クローズドソース コンポーネント
CVE-2019-14052
A-147103610 * なし クローズドソース コンポーネント
CVE-2019-14056
A-147101659 * なし クローズドソース コンポーネント
CVE-2019-14065
A-147102925 * なし クローズドソース コンポーネント
CVE-2019-14089
A-147104726 * なし クローズドソース コンポーネント
CVE-2019-14115
A-147104255 * なし クローズドソース コンポーネント
CVE-2019-14119
A-147103020 * なし クローズドソース コンポーネント
CVE-2020-3611
A-148816870 * なし クローズドソース コンポーネント
CVE-2020-3624
A-148816990 * なし クローズドソース コンポーネント
CVE-2020-3636
A-148816708 * なし クローズドソース コンポーネント
CVE-2020-3640
A-148816993 * なし クローズドソース コンポーネント
CVE-2020-3643
A-148816294 * なし クローズドソース コンポーネント
CVE-2020-3644
A-148817069 * なし クローズドソース コンポーネント
CVE-2020-3666
A-150697811 * なし クローズドソース コンポーネント
CVE-2020-3668
A-150697381 * なし クローズドソース コンポーネント
CVE-2020-3669
A-150848722 * なし クローズドソース コンポーネント
CVE-2020-3675
A-150696996 * なし クローズドソース コンポーネント
CVE-2020-11122
A-155653312 * なし クローズドソース コンポーネント
CVE-2020-11128
A-155654284 * なし クローズドソース コンポーネント

一般的な質問と回答

上記の公開情報に対する一般的な質問についての回答は以下のとおりです。

1. 上記の問題に対処するようにデバイスが更新されているかどうかを確かめるには、どうすればよいですか?

デバイスのセキュリティ パッチレベルを確認するには、Android のバージョンを確認して更新する方法をご覧ください。

  • セキュリティ パッチレベル 2020-08-01 以降は、セキュリティ パッチレベル 2020-08-01 に関連するすべての問題に対処しています。
  • セキュリティ パッチレベル 2020-08-05 以降は、セキュリティ パッチレベル 2020-08-05、およびそれ以前のすべてのパッチレベルに関連するすべての問題に対処しています。

デバイス メーカーは、こうしたアップデートを組み込む場合、パッチレベル文字列を以下のとおり設定する必要があります。

  • [ro.build.version.security_patch]:[2020-08-01]
  • [ro.build.version.security_patch]:[2020-08-05]

Android 10 以降を搭載した一部のデバイスでは、Google Play システム アップデートに、セキュリティ パッチレベル 2020-08-01 と一致する日付文字列が含まれます。セキュリティ アップデートのインストール方法について詳しくは、こちらの記事をご覧ください。

2. この公開情報に 2 つのセキュリティ パッチレベルがあるのはなぜですか?

この公開情報では、2 つのセキュリティ パッチレベルを定義しています。これは、すべての Android デバイスで同様の問題が発生する一部の脆弱性をサブセットとし、Android パートナーが迅速かつ柔軟に修正できるようにするためです。Android パートナーには、この公開情報に掲載されている問題をすべて修正し、最新のセキュリティ パッチレベルを使用することが推奨されています。

  • 2020-08-01 のセキュリティ パッチレベルを使用するデバイスには、そのセキュリティ パッチレベルに関連するすべての問題と、それ以前のセキュリティに関する公開情報で報告されたすべての問題の修正を含める必要があります。
  • 2020-08-05 以降のセキュリティ パッチレベルを使用するデバイスには、今回(およびそれ以前)のセキュリティに関する公開情報に掲載された、該当するすべてのパッチを組み込む必要があります。

パートナーは、対処するすべての問題の修正を 1 つのアップデートにまとめて提供することが推奨されています。

3. 「タイプ」列の項目はどういう意味ですか?

脆弱性の詳細の表で「タイプ」列に記載した項目は、セキュリティの脆弱性の分類を示しています。

略語 定義
RCE リモートコード実行
EoP 権限昇格
ID 情報開示
DoS サービス拒否
なし 該当する分類なし

4. 「参照」列の項目はどういう意味ですか?

脆弱性の詳細の表で「参照」列に記載した項目には、その参照番号が属する組織を示す接頭辞が含まれる場合があります。

接頭辞 参照
A- Android バグ ID
QC- Qualcomm の参照番号
M- MediaTek の参照番号
N- NVIDIA の参照番号
B- Broadcom の参照番号

5. 「参照」列の Android バグ ID の横にある「*」はどういう意味ですか?

公開されていない問題には、対応する参照 ID の横に「*」を付けています。この問題のアップデートは、Google デベロッパー サイトから入手できる Pixel デバイス用最新バイナリ ドライバに通常含まれています。

6. セキュリティの脆弱性が、この公開情報とデバイスやパートナーのセキュリティに関する公開情報(Pixel のセキュリティに関する公開情報など)に分けられているのはなぜですか?

Android デバイスの最新のセキュリティ パッチレベルを宣言するためには、このセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処が必要となります。それ以外の、デバイスやパートナーのセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処は必須ではありません。また、Android デバイスやチップセットのメーカー(GoogleHuaweiLGEMotorolaNokiaSamsung など)からも、各社製品に固有のセキュリティの脆弱性に関する詳細情報が公開される場合があります。

バージョン

バージョン 日付 メモ
1.0 2020 年 8 月 3 日 情報公開
1.1 2020 年 8 月 4 日 公開情報を改訂し AOSP リンクを追加
1.2 2020 年 8 月 10 日 CVE の表を改訂